Package org.eclipse.m2m.atl.emftvm.util

# Class LazyCollection.ReadOnlyIterator<E>

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  `Iterator<E>`

Direct Known Subclasses:
  `LazyCollection.CachingIterator`, `LazyCollection.CollectIterator`, `LazyCollection.FlattenIterator`, `LazyCollection.FlattenSetIterator`, `LazyCollection.ReadOnlyListIterator`, `LazyCollection.ReverseIterator`, `LazyCollection.SubListIterator`, `LazyCollection.WrappedIterator`

Enclosing class:
  LazyCollection<E>

public abstract static class LazyCollection.ReadOnlyIterator<E> extends Object implements Iterator<E>
`Iterator` without `remove()`.

## Constructor Summary

Constructors
Constructor
Description
`ReadOnlyIterator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`remove()`
Unsupported.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next`

## Constructor Details

### ReadOnlyIterator

public ReadOnlyIterator()

## Method Details

### remove

public void remove()
Unsupported.

Specified by:
  `remove` in interface `Iterator<E>`
Throws:
  `UnsupportedOperationException`